#!/bin/bash

set -e

# Проверка существующей установки
if [ -d "/opt/jdk-17" ]; then
    echo "Удаление существующей директории /opt/jdk-17..."
    sudo rm -rf /opt/jdk-17
fi

# Распаковка и установка JDK
echo "Распаковка JDK..."
tar -xvf $1 -C /opt
sudo mv /opt/jdk-17.0.13+11 /opt/jdk-17

# Настройка окружения
echo "Настройка окружения..."
cat <<EOF | sudo tee /etc/profile.d/jdk.sh
export JAVA_HOME=/opt/jdk-17
export PATH=\$JAVA_HOME/bin:\$PATH
EOF
source /etc/profile.d/jdk.sh

echo "JDK успешно установлен!"
